Subject: bug#11210: Windows emacs 23.4.1: scroll-conservatively > 0 results in multiple cursors being displayed after scrolling

From: Eli Zaretskii <[email-masked]>
Date: Tue, 10 Apr 2012 20:06:17 +0300

> Date: Tue, 10 Apr 2012 11:42:01 -0400
> From: Bill Meier <[email-masked]>
> CC: [email-masked]
> 
> Note, in all cases below, I create an artifact by hitting down-arrow at 
> the bottom of the screen (with scroll-conservatively > 0) until I get
> a case where the cursor (aka artifact) shows (not blinking) at line N-1
> with a blinking cursor at line N.
> 
> 1. Minimize/Restore of the w32 window (aka EMacs "frame") clears the
>     artifact;
> 2. Cover/Uncover of the w32 window (EMacs) with another w32 window
>     does not clear the artifacts;
> 3. Hitting up-arrow puts the blinking cursor at line N-1.
>     Then hitting down-arrow puts the blinking cursor back at line N.
>     The cursor/artifact remains at line N-1 (not blinking).
> 4. If, after an artifact appears on a line, I scroll up a line
>     (M-1 C-V) the artifact moves with the line.
> 5. If cursor is at column N (and at the bottow row (Line N) of the text
>     on the screen), then after hitting down-arrow, if the
>     artifact appears on the line just scrolled up it will be
>     at column N.
> 
>     aaaaa|aaa
>     bbb|
>     cccccc
>     ee
>     fffff|ffffff

This all points to incomplete erasing of the portions of the screen
that are redrawn.  Perhaps changing some of your display properties or
the font(s) you use would fix that.  Also, is there anything special
about your monitor, like dimensions, or resolution?  Or maybe you have
more than one monitor connected?

Anyway, unfortunately I see none of these problems here.  (Does anyone
else see this on MS-Windows?)

Could you perhaps try the latest pretest of Emacs 24.1, which is
available from here:

  http://alpha.gnu.org/gnu/emacs/pretest/windows/emacs-24.0.95-bin-i386.zip

> 6. If an EMacs frame is showing multiple EMacs windows, no cursor
>     appears in the non-selected EMacs window.

You mean, there's no empty rectangle in the non-selected windows?  Do
you _ever_ see a cursor in non-selected windows on this system?

> (Just for the record, I'm running Windows 7 Ultimate, Service Pack #1 
> with up-to-date patches).

Yes, thanks, your original bug report shows this info.